"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requestRepository = exports.requestRepositories = void 0;
const relay_1 = require("../relay");
function requestRepositories(githubRepositories, pageArgs) {
    let repos = githubRepositories.map(r => requestRepository(r));
    return (0, relay_1.applyRelayPagination)(repos, pageArgs);
}
exports.requestRepositories = requestRepositories;
function requestRepository(repository) {
    return {
        name: repository.name,
        description: repository.description,
        isArchived: repository.isArchived,
        nameWithOwner: repository.nameWithOwner,
        repositoryTopics: {
            nodes: repository.repositoryTopics.map(t => ({
                topic: { name: t },
            })),
        },
        languages: {
            nodes: repository.languages.map(l => ({
                name: l,
            })),
        },
        url: repository.url,
        visibility: repository.visibility,
        owner: {
            __typename: repository.owner.__typename === 'GithubOrganization'
                ? 'Organization'
                : 'User',
            login: repository.owner.login,
            name: repository.owner.name,
            url: repository.owner.url,
        },
    };
}
exports.requestRepository = requestRepository;
//# sourceMappingURL=repositories.js.map