import { startStandaloneServer } from './service/standaloneServer';
const port = process.env.PORT ? Number(process.env.PORT) : undefined;
async function main(factory) {
    console.time('create seed data');
    console.timeEnd('create seed data');
    let users = factory.all('User');
    let githubRepositories = factory.all('GithubRepository');
    let githubOrganizations = factory.all('GithubOrganization');
    let server = await startStandaloneServer({
        port,
        users,
        githubRepositories,
        githubOrganizations,
    });
    let address = server.address();
    console.log(`GraphQL server with GraphiQL started on http://localhost:${address.port}/graphql`);
    process.on('SIGINT', () => {
        console.log('CTRL+C pressed; exiting.');
        server.close();
        process.exit(0);
    });
    return address;
}
export function startGithubApiSimulator(factory) {
    main(factory).catch(err => console.error(err));
}
//# sourceMappingURL=main.js.map